metadata:
    name: optee-xtest
    format: "Lava-Test Test Definition 1.0"
    description: "OP-TEE sanity test suite"
    maintainer:
        - chase.qi@linaro.org
    os:
        - android
    scope:
        - functional
        - performance
    devices:
        - hi6220-hikey
        - hi6220-hikey-bl
        - juno

params:
    # Test suite level: [0-15]
    LEVEL: "0"
    # Available test suite: regression, benchmark
    TEST_SUITE: "regression"
    # Specify device serial no. when more than one device connected.
    ANDROID_SERIAL: ""
    # Specify timeout in seconds for wait_boot_completed
    BOOT_TIMEOUT: "300"

run:
    steps:
        - cd ./automated/android/optee
        - ./optee-xtest.sh -l "${LEVEL}" -T "${TEST_SUITE}" -s "${ANDROID_SERIAL}" -t "${BOOT_TIMEOUT}"
        - ../../utils/send-to-lava.sh ./output/result.txt
